May 6, 2009

TeXLive for FreeBSD updated

Category: FreeBSD.

TeXLive tarballs are updated every once a while and uploaded in place of the old ones wihout any versionning information. A direct consequence is that the FreeBSD ports for TeXLive are not fetchable anymore.

Since I announced I was not willing to track TeXLive updates, I almost forgot about this problem until a bug was oppened in the Google code repository of the project.

I promptly fixed the issue and created a shell script that should do this automatically each night thank's to cron(5):

#!/bin/sh

svn_root="https://freebsd-texlive.googlecode.com/svn"
date=`date +%Y%m%d`

cd /usr/ports/distfiles/TeXLive/2008 && \
   /usr/local/bin/wget \
     --quiet --mirror --no-directories \
     ftp://ftp.inria.fr/pub/TeX/CTAN/systems/texlive/tlnet/2008/archive/
if [ $? -ne 0 ]; then
   echo "Fetch error" >&2
   exit 1
fi
cd /usr/home/romain/Projects/freebsd-texlive-releng && \
   Tools/resum print/*
if [ $? -ne 0 ]; then
   echo "Sync error" >&2
   exit 1
fi

if [ -n "`/usr/local/bin/svn diff`" ]; then
   /usr/local/bin/svn commit -m "Sync distinfos" &&
   /usr/local/bin/svn copy "${svn_root}/branches/releng" \
                          "${svn_root}/tags/freebsd-texlive-${date}" \
                          -m "TAG freebsd-texlive-${date}"
fi

This problem should not occur anymore now :-).

Comments

On April 9, 2010, Antonio wrote:

Dear Romain,

I have recently installed FreeBSD 8.0. I had used FreeBSD 6 back a while and liked it but my disk died and I did not install it again. Now I installed on an AMD machine and installed kile and it pulled in tetex. teTeX is old and unmaintained, I applied your solution in google code, but the tex is still the old tex, how can I make sure that I have TeXLive installed?

I did not know many more things like cvsup/csup and I am learning a little bit more and currently updating to newer.

Thanks for your TeXLive work. When will it become part of FreeBSD? NetBSD has a port already? Is it like going to happen soon?

Regards,

Antonio

On April 11, 2010, Romain Tartière wrote:

Hi Antonio!

Unfortunately, there is no plan to merge the freebsd-texlive ports into the FreeBSD ports tree. I am considering pushing portshaker in the ports however to make it easier for people who want to use these ports, BSD# Ports, etc

BTW, the TeXLive and teTeX are not compatible. And no port for kile is available for using with TeXLive. Any contribution is welcome however :-)

Thanks!
Romain

Comments RSS feed | Leave a Reply…

top